Get Block by Hash or Number
Returns the block information by given hash or number.
This method will use 20 Compute Units.
Returns the block information by given hash or number.
Path parameters
hashOrNumberstringRequiredPattern:
Accepts both eth and hedera hash format or block number
^(\d{1,10}|(0x)?([A-Fa-f0-9]{64}|[A-Fa-f0-9]{96}))$Responses
200
OK
application/json
countintegerOptional
gas_usedinteger · int64 · nullableOptional
hapi_versionstring · nullableOptional
hashstringOptional
logs_bloomstring · nullableOptionalPattern:
A hex encoded 256-byte array with 0x prefix
^0x[0-9a-fA-F]{512}$namestringOptional
numberintegerOptional
previous_hashstringOptional
sizeinteger · nullableOptional
400
Invalid parameter
application/json
404
Not Found
application/json
get/api/v1/blocks/{hashOrNumber}
GET /v1/YOUR_API_KEY/api/v1/blocks/{hashOrNumber} HTTP/1.1
Host: mainnet.hedera.validationcloud.io
Accept: */*
{
"count": 3,
"gas_used": 300000,
"hapi_version": "0.11.0",
"hash": "0x3c08bbbee74d287b1dcd3f0ca6d1d2cb92c90883c4acf9747de9f3f3162ad25b999fc7e86699f60f2a3fb3ed9a646c6b",
"logs_bloom": "0x00000020002000001000000000000000000000000000000000000000000010000000000004000000000000000000000000108000000000000000000080000000000004000000000000000000000000880000000000000000000101000000000000000000000000000000000000008000000000000400000080000000000001000000000000000000000000000000000000000000002000000000100000100000200000040000100000001000000000000000000000000000000001001000004000000000000000000001000000000000000000100000000000100000000000000000000000000000000000000000000000080000100800000000000000120080",
"name": "2022-05-03T06_46_26.060890949Z.rcd",
"number": 77,
"previous_hash": "0xf7d6481f659c866c35391ee230c374f163642ebf13a5e604e04a95a9ca48a298dc2dfa10f51bcbaab8ae23bc6d662a0b",
"size": 8192,
"timestamp": {
"from": "1651560386.060890949",
"to": "1651560386.661997287"
}
}Last updated
Was this helpful?